Aktivite için UI kodu üret
curl --request POST \
--url https://app.azalt.co/api/v1/activity-definitions/generate-ui-code \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"systemPrompt": "<string>",
"messages": [
{
"content": "<string>"
}
],
"model": "<string>"
}
'import requests
url = "https://app.azalt.co/api/v1/activity-definitions/generate-ui-code"
payload = {
"systemPrompt": "<string>",
"messages": [{ "content": "<string>" }],
"model": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({systemPrompt: '<string>', messages: [{content: '<string>'}], model: '<string>'})
};
fetch('https://app.azalt.co/api/v1/activity-definitions/generate-ui-code', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"response": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}ActivityDefinition
Aktivite için UI kodu üret
Yapay zekâ desteğiyle React bileşen arayüz kodu üretir:
Gerekli Parametreler:
inputs: Giriş alanı tanımlarından oluşan dizimodel: Kod üretiminde kullanılacak yapay zekâ modeliprovider: AI servis sağlayıcısı (“openai” veya “anthropic”)
Opsiyonel Parametreler:
notes: Oluşturulacak UI bileşeni için ek talimatlarcalcCode: Var olan hesaplama kodu; bağlam olarak kullanılır
Oluşturulan kod, aktivitenin giriş şemasına göre form bileşeni üretir ve gerektiğinde manuel olarak düzenlenebilir.
POST
/
activity-definitions
/
generate-ui-code
Aktivite için UI kodu üret
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Gövde
application/json
⌘I

